# $Revision: 1.30 $, $Date: 2003/08/12 22:32:48 $
#
# Conditional build:
# _without_dist_kernel          without distribution kernel
#
%define		_orig_name	bcm5700

Summary:	Linux driver for the 3Com Gigabit Server BCM5700 (3c996) Network Interface Cards
Summary(pl):	Sterownik dla Linuksa do kart sieciowych gigabit ethernet BCM5700 (3c996)
Name:		kernel-net-%{_orig_name}
Version:	2.2.27
%define	_rel	1
Release:	%{_rel}@%{_kernel_ver_str}
License:	GPL
Group:		Base/Kernel
Source0:	http://support.3com.com/infodeli/tools/nic/linux/%{_orig_name}-%{version}.tar.gz
# Source0-md5:	9aa1e1b2183675df8e1cfd2974ca6a2e
URL:		http://support.3com.com/infodeli/tools/nic/linuxdownload.htm
%{!?_without_dist_kernel:BuildRequires:	kernel-headers }
BuildRequires:	%{kgcc_package}
BuildRequires:	rpmbuild(macros) >= 1.118
%{!?_without_dist_kernel:%requires_releq_kernel_up}
Requires(post,postun):	/sbin/depmod
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Linux driver for the 3Com Gigabit Server BCM5700 (3c996) Network
Interface Cards.

%description -l pl
Sterownik dla Linuksa do kart sieciowych gigabit ethernet BCM5700
(3c996). Obsuguje karty o symbolach 3c996B-T i 3c996-SX.

%package -n kernel-smp-net-%{_orig_name}
Summary:	Linux SMP driver for the 3Com Gigabit Server BCM5700 (3c996) Network Interface Cards
Summary(pl):	Sterownik dla Linuksa SMP do kart sieciowych gigabit ethernet BCM5700 (3c996)
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{!?_without_dist_kernel:%requires_releq_kernel_smp}
Requires(post,postun):	/sbin/depmod

%description -n kernel-smp-net-%{_orig_name}
Linux SMP driver for the 3Com Gigabit Server BCM5700 (3c996) Network
Interface Cards.

%description -n kernel-smp-net-%{_orig_name} -l pl
Sterownik dla Linuksa do kart sieciowych gigabit ethernet BCM5700
(3c996). Obsuguje karty o symbolach 3c996B-T i 3c996-SX.

%prep
%setup -q -n %{_orig_name}-%{version} -c

%build
cd src
%{__make} CC="%{kgcc} %{rpmcflags} -Wall -I%{_kernelsrcdir}/include -D__SMP__ -DCONFIG_X86_LOCAL_APIC"
mv -f %{_orig_name}.o ../%{_orig_name}-smp.o
%{__make} clean
%{__make} CC="%{kgcc} %{rpmcflags} -Wall -I%{_kernelsrcdir}/include"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc
install -d $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc
install -d $RPM_BUILD_ROOT%{_mandir}/man4
install %{_orig_name}-smp.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}smp/misc/%{_orig_name}.o
install src/%{_orig_name}.o $RPM_BUILD_ROOT/lib/modules/%{_kernel_ver}/misc/%{_orig_name}.o
install src/%{_orig_name}.4.gz $RPM_BUILD_ROOT%{_mandir}/man4

%clean
rm -rf $RPM_BUILD_ROOT

%post
%depmod %{_kernel_ver}

%postun
%depmod %{_kernel_ver}

%post	-n kernel-smp-net-%{_orig_name}
%depmod %{_kernel_ver}smp

%postun -n kernel-smp-net-%{_orig_name}
%depmod %{_kernel_ver}smp

%files
%defattr(644,root,root,755)
%doc RELEASE.TXT
/lib/modules/%{_kernel_ver}/misc/*
%{_mandir}/man?/*

%files -n kernel-smp-net-%{_orig_name}
%defattr(644,root,root,755)
%doc RELEASE.TXT
/lib/modules/%{_kernel_ver}smp/misc/*
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kernel-net-bcm5700.spec,v $
Revision 1.30  2003/08/12 22:32:48  ankry
- cosmetics

Revision 1.29  2003/07/10 13:23:34  trojan
- added using depmod macro

Revision 1.28  2003/05/28 12:59:19  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 05:49:26  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/05/16 08:33:42  trojan
- fixed depmod in %%post and %%postun when build with _without_dist_kernel

Revision 1.25  2003/05/14 14:42:43  qboosh
- added depmod options so modules can be installed for kernel other than running

Revision 1.24  2003/05/08 12:44:12  marcus
- updated to 2.2.27

Revision 1.23  2003/03/23 22:57:40  blues
- release 2; rebuild with 2.2.25

Revision 1.22  2003/03/17 15:54:29  qboosh
- added URL (new version there... but seems still broken on SMP)

Revision 1.21  2003/03/03 20:57:19  marcus
- updated to version 2.2.19 (from Compaq SoftPack)
(Ra - updates/general STBR)

Revision 1.20  2002/11/27 21:10:39  juandon
- new %%doc

Revision 1.19  2002/11/17 18:31:50  kloczek
- release 11: rebuild against kernel 2.2.22-6.

Revision 1.18  2002/10/02 05:48:54  kloczek
- release 10: rebuild against kernel 2.2.22.

Revision 1.17  2002/08/29 07:23:48  qboosh
- fixed main package release; rel 9

Revision 1.16  2002/08/18 17:42:29  kloczek
- release 8: rebuild against kernel 2.2.21.

Revision 1.15  2002/04/27 13:03:25  marcus
- patch's path fixed

Revision 1.14  2002/04/27 12:40:00  marcus
- accedd vlan patch
- rel.7.

Revision 1.13  2002/03/17 16:06:25  dzimi

- update release numbers to build with new kernel release

Revision 1.12  2002/03/04 22:18:00  marcus
- use new macros (ver-rel)
- removed smp/up obsoletes
- rel. 5.

Revision 1.11  2002/02/26 18:56:01  qboosh
- use kgcc_package macro

Revision 1.10  2002/02/26 15:11:06  qboosh
- use %%kgcc macro

Revision 1.9  2002/02/26 13:22:24  qboosh
- use requires_releq_kernel_{up,smp} macros, BR: egcs, release 4

Revision 1.8  2002/02/23 21:59:55  saq
- changed Requires: right-kernel to Conflicts: wrong-kernel
- release 3, STBR

Revision 1.7  2002/02/22 23:29:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/17 19:01:05  kloczek
- cosmetics.

Revision 1.5  2002/02/17 19:00:24  kloczek
- adapterized.

Revision 1.4  2002/02/10 19:04:46  marcus
- rel 2. (for build with 2.2.20-10 and new 2.4)

Revision 1.3  2002/01/27 10:17:05  marcus
- some typos in Conflicts: in SMP subpackage

Revision 1.2  2002/01/27 09:47:46  marcus
- added %post/%postun for smp

Revision 1.1  2002/01/27 09:01:42  marcus
- changed name s/netdrivers/net/g

Revision 1.3  2002/01/26 20:36:30  marcus
- s/gcc/kgcc/g

Revision 1.2  2002/01/26 20:33:08  marcus
- added some macros, stbr

Revision 1.1  2002/01/26 20:20:33  marcus
- source: a5c13980564d05a446cfce9e4d887438  SOURCES/bcm5700-2.0.28.tar.gz
- spec: initial version (based on kernel-* specs)
